ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

LlvmCodeGen

Description

This is the top-level module in the LLVM code generator.

Synopsis

- llvmCodeGen :: DynFlags -> Handle -> UniqSupply -> Stream IO RawCmmGroup () -> IO ()
- llvmFixupAsm :: DynFlags -> FilePath -> FilePath -> IO ()

# Documentation

llvmCodeGen :: DynFlags -> Handle -> UniqSupply -> Stream IO RawCmmGroup () -> IO () Source

Top-level of the LLVM Code generator

llvmFixupAsm :: DynFlags -> FilePath -> FilePath -> IO () Source

Read in assembly file and process